# ModelMesh

#### new Cesium.ModelMesh()
Scene/ModelMesh.js 19

  A model's mesh and its materials.

  Use `Model#getMesh` to create an instance.

  ##### See:

  - Model#getMesh

### Members

#### readonlyid : String
Scene/ModelMesh.js 62

  The name of the glTF JSON property for this mesh. This is guaranteed to be unique among all meshes. It may not match the mesh's `name` property (@link ModelMesh#name), which is assigned by the artist when the asset is created.

#### readonlymaterials : Array.<ModelMaterial>
Scene/ModelMesh.js 77

  An array of `ModelMaterial` instances indexed by the mesh's primitive indices.

#### readonlyname : String
Scene/ModelMesh.js 45

  The value of the `name` property of this mesh. This is the name assigned by the artist when the asset is created. This can be different than the name of the mesh property (`ModelMesh#id`), which is internal to glTF.